actions: []
api_documentation: http://docs.ros.org/en/noetic/api/prbt_hardware_support/html
authors: ''
brief: ''
bugtracker: https://github.com/PilzDE/pilz_robots/issues
depends:
- canopen_chain_node
- catkin
- dynamic_reconfigure
- message_filters
- message_generation
- message_runtime
- pilz_msgs
- pilz_utils
- roscpp
- rosservice
- sensor_msgs
- std_msgs
- std_srvs
- tf2
- tf2_geometry_msgs
- tf2_ros
- urdf
depends_on:
- pilz_robots
- prbt_moveit_config
- prbt_support
description: Control hardware functions of the PRBT manipulator like RUN_PERMITTED
  for Stop1 functionality.
devel_jobs:
- https://build.ros.org/view/Ndev/job/Ndev__pilz_robots__ubuntu_focal_amd64
doc_job: https://build.ros.org/view/Ndoc/job/Ndoc__pilz_robots__ubuntu_focal_amd64
has_changelog_rst: true
license: LGPLv3
maintainer_status: end-of-life
maintainers: Immanuel Martini <i.martini@pilz.de>
metapackages:
- pilz_robots
msgs:
- ModbusMsgInStamped
- BrakeTestErrorCodes
- ModbusRegisterBlock
package_type: package
release_jobs:
- https://build.ros.org/view/Nsrc_uF/job/Nsrc_uF__prbt_hardware_support__ubuntu_focal__source
- https://build.ros.org/view/Nbin_uF64/job/Nbin_uF64__prbt_hardware_support__ubuntu_focal_amd64__binary
- https://build.ros.org/view/Nbin_ufhf_uFhf/job/Nbin_ufhf_uFhf__prbt_hardware_support__ubuntu_focal_armhf__binary
- https://build.ros.org/view/Nbin_ufv8_uFv8/job/Nbin_ufv8_uFv8__prbt_hardware_support__ubuntu_focal_arm64__binary
repo_name: pilz_robots
repo_url: https://github.com/PilzDE/pilz_robots
srvs:
- WriteModbusRegister
- BrakeTest
- SendBrakeTestResult
timestamp: 1700912824.574388
url: https://wiki.ros.org/prbt_hardware_support
vcs: git
vcs_uri: https://github.com/PilzDE/pilz_robots.git
vcs_version: noetic-devel
